// Header guard for Quiz.h
#ifndef QUIZ_
#define QUIZ_

// Include statements
#include <string>

// Class definition for Quiz
class Quiz {

    private:
        std::string question {""}; // Initialize question to ""
        std::string answer {""}; // Initialize answer to ""
        static int score; // Declare static int "score" to hold global score

    public:
        Quiz() = default; // Default constructor for Quiz
        Quiz(const std::string &q, const std::string &a) : question(q), answer(a) {}; // Constructor that assigns inputted question and answer to respective class members
        std::string getQuestion(); // Function to get an object's question
        std::string getAnswer(); // Function to get an object's answer
        static int getScore(); // Static function to get global score
        static void updateScore(const int &val); // Static function to update global score
        friend std::string printResult(const int &questions, const int &correct, const int &wrong); // Friend function to assemble and print results by accessing Quiz members

};

#endif